Author Topic: VisualAge 2.0 Smalltalk  (Read 964 times)

Dirk

  • Newbie
  • *
  • Thank You
  • -Given: 0
  • -Receive: 0
  • Posts: 3
  • Karma: +0/-0
    • View Profile
VisualAge 2.0 Smalltalk
« on: April 06, 2021, 09:42:10 pm »
I have some problems with Visualage 2.0 Smalltalk for OS/2

Visualage 2.0 runs fine on OS/2 2.x, 3.x, 4.5  but not on Arcaos 5.06 (with or without additional fixes)
On e.g. Warp 3 i can browse classes & objects .. and develope apps. on Arcaos i cannot browse classes, the application manager don't work ..
It seems there are internal processes which doesnt work in Arcaos: errors like process ... process state suspendes ...

Changing the order of the DLL-pathes in the SET statements does not help.

Maybe i need some patches for Visualage 2.0
But on IBMs ftp-server there are no 2.0 patches.

On the old IBM Servicepac CDs there are some patches mentioned : 4/94, 5/95, 6/95, 8/95  keywords: "VisualAge" , "VAG200A1","VAG200B1", "VAV2STFX"
But i dont have these.
Has someone one of these CDs and can send me the fixes?




Roderick Klein

  • Sr. Member
  • ****
  • Thank You
  • -Given: 0
  • -Receive: 28
  • Posts: 432
  • Karma: +9/-0
    • View Profile
Re: VisualAge 2.0 Smalltalk
« Reply #1 on: April 06, 2021, 09:56:30 pm »
If you know it runs on OS/2 4.5 (MCP 1 or MCP 2). Then installing the latest patches will most likely  not fix it to run on ArcaOS.
Rather feels like a shot in the dark.

You might have more luck opening a support ticket at https://mantis.arcanoae.com.
Attach a testlog and describe your issue.
https://www.arcanoae.com/wiki/reporting-problems-best-practices/

Roderick Klein

Martin Iturbide

  • OS2World NewsMaster
  • Global Moderator
  • Hero Member
  • *****
  • Thank You
  • -Given: 617
  • -Receive: 123
  • Posts: 3315
  • Karma: +28/-0
  • Your Friend Wil Declares...
    • View Profile
    • Martin's Personal Blog
Re: VisualAge 2.0 Smalltalk
« Reply #2 on: April 07, 2021, 04:06:27 pm »
Hi Dirk, welcome to the forum.

ArcaOS uses often the same components than Warp 4.52, so compatibility with other OS/2 versions is rarely an issue.

Can you please post more information of what errors are showing on the screen? Maybe you can take some screenshots and upload it here.

Also, I can see that VASmalltalk for OS/2 newer versions were available (V5, V6?), I don't know if you want to give it a try to that version, or you specifically need V2 ? I also do not have experience installed VASmallTalk, I don't know about the compatibility of different versions of it.

OS2 Site has also some evaluation versions: http://www.os2site.com/sw/dev/smalltalk/index.html. Maybe you can try some different versions on VMs.

On the other hand it will be important to try to preserve the fixpacks files for this software just in case, If someone has a link or the files let us know.

Regards
« Last Edit: April 07, 2021, 04:25:35 pm by Martin Iturbide »
Martin Iturbide
OS2World NewsMaster
... just share the dream.

Pete

  • Hero Member
  • *****
  • Thank You
  • -Given: 1
  • -Receive: 51
  • Posts: 1098
  • Karma: +4/-0
    • View Profile
Re: VisualAge 2.0 Smalltalk
« Reply #3 on: April 08, 2021, 04:59:19 pm »
Hi

There is a bit of info and some links on various Smalltalk packages that may be helpful here http://www.edm2.com/index.php/Smalltalk

I also seem to recall there was an IBM Smalltalk newsgroup but no idea if it still exists.


Regards

Pete

Martin Iturbide

  • OS2World NewsMaster
  • Global Moderator
  • Hero Member
  • *****
  • Thank You
  • -Given: 617
  • -Receive: 123
  • Posts: 3315
  • Karma: +28/-0
  • Your Friend Wil Declares...
    • View Profile
    • Martin's Personal Blog
Re: VisualAge 2.0 Smalltalk
« Reply #4 on: April 08, 2021, 05:38:06 pm »
Hi

I spend some time trying to find more information on the Internet and Archive.org, but I could not find anything related to version 2.0. There is version 4, 5 and even 6, but nothing about the fixpacks for V2.

I never knew much about this product, I know that IBM discontinued the OS/2 version on some point of time and later IBM sold the IBM VASmallTalk package to a different company (2005?) to keep developing the Windows version. (VAST Platform

There is also some general information about the product here: http://www.edm2.com/index.php/VisualAge_Smalltalk

My suggestion/idea on this case would be try to open the VASmallTalk V2.0 project on VASmallTalk V4 or V5 and see if it is compatible and if it compiles.

Regards
« Last Edit: April 08, 2021, 05:39:59 pm by Martin Iturbide »
Martin Iturbide
OS2World NewsMaster
... just share the dream.

Dirk

  • Newbie
  • *
  • Thank You
  • -Given: 0
  • -Receive: 0
  • Posts: 3
  • Karma: +0/-0
    • View Profile
Re: VisualAge 2.0 Smalltalk
« Reply #5 on: April 08, 2021, 08:19:55 pm »
Thanks for your comments and hints.

On os2.org somebody post the fix i need.
>> Nur das Paket VAG200B1 ist für VisualAge for Windows and OS/2 Single User 2.0 (5622-340) geeignet.

With this fix i could not direct fix the problem, cause the clean install of Visualage on Arcaos does not work [VA Smalltalk must run to patch itself]:
So i patched the working installion of Visualage 2.0 on Warp4.5 , packed the complete Visualage-folders with zip , transfered them to Arcaos and unzipped the files.
Now it seems to work: Examples, Clasbrowsers, my learning programs seems to work

I will check the Visualageconnectivity to SOM,DB/2 later







Dirk

  • Newbie
  • *
  • Thank You
  • -Given: 0
  • -Receive: 0
  • Posts: 3
  • Karma: +0/-0
    • View Profile
Re: VisualAge 2.0 Smalltalk
« Reply #6 on: April 08, 2021, 08:32:19 pm »
I love the old Visualageproducts / IBMs programming packages / Redbooks, ....
The documentation are on real hardware (books) and very good.

I bought the complete VA 2.0 (with all printed docs) on ebay to learn Smalltalk; surely there are newer versions or freeware-opensource  stuff but i need to read in real books